qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <g...@redhat.com>
Subject Re: Missing cluster.so lib um qpidd-0.16.7 Ubuntu package
Date Thu, 06 Feb 2014 11:15:50 GMT
On 02/05/2014 01:12 PM, Listas@Adminlinux wrote:
> Hi,
>
> I have a "ubuntu12.04 + qpidd-0.14-2 + qpidd-msgstore-0.14-1" cluster
> working fine.
>
> I want to upgrade my cluster. So, I generated the packages of
> Qpid-0.16-7ubuntu5 to Ubuntu 12.04 LTS. But the cluster.so lib is not
> being generated.
>
> Error message:
> $ Service start qpidd
> Feb  4 17:57:46 myserver qpidd[30869]: 2014-02-04 17:57:46 critical
> Unexpected error: /usr/lib/qpid/daemon/cluster.so: cannot open shared
> object file: No such file or directory: /usr/lib/qpid/daemon/cluster.so
> (qpid/sys/posix/Shlib.cpp:35)
>
> The documentation says "load-module=/usr/lib/qpid/daemon/cluster.so" is
> still necessary in qpidd.conf:
> http://qpid.apache.org/releases/qpid-0.16/books/AMQP-Messaging-Broker-CPP-Book/html/chap-Messaging_User_Guide-Active_Active_Cluster.html
>
>
> Anyone else here uses qpidd with Ubuntu and can help me?

Sorry for the delay in responding... when you say 'generated the 
packages' do you mean compiling the 0.16 release? The cluster module 
depends on corosync or openais. If it wasn't built it may be that this 
dependency was not available when building(?)


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message